org.mozilla.javascript.ast

## Interface NodeVisitor

- All Known Implementing Classes:
    AstNode.DebugPrintVisitor

      public interface NodeVisitor

  Simple visitor interface for traversing the AST. The nodes are visited in an arbitrary order. The visitor must cast nodes to the appropriate type based on their token-type.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `visit(AstNode node)` Visits an AST node.

- - ### Method Detail

    - #### visit

          boolean visit(AstNode node)

      Visits an AST node.
      Parameters:
        `node` - the AST node. Will never visit an `AstRoot` node, since the `AstRoot` is where the visiting begins.
      Returns:
        `true` if the children should be visited. If `false`, the subtree rooted at this node is skipped. The `node` argument should never be `null` -- the individual `AstNode` classes should skip any children that are not present in the source when they invoke this method.